summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2020-05-02 08:53:38 +0200
committerHans de Graaff <graaff@gentoo.org>2020-05-02 08:53:47 +0200
commit701a3eed6fc94f54d6d7dd9f86e1e051705e36c7 (patch)
tree215de5cc8d51e44214416f466b161008536a3ea2 /dev-ruby/rmagick
parentapp-portage/nattka: Bump to 0.2.4 (diff)
downloadgentoo-701a3eed6fc94f54d6d7dd9f86e1e051705e36c7.tar.gz
gentoo-701a3eed6fc94f54d6d7dd9f86e1e051705e36c7.tar.bz2
gentoo-701a3eed6fc94f54d6d7dd9f86e1e051705e36c7.zip
dev-ruby/rmagick: require webp for tests
The tests require imagemagick to be build with webp support. Bug: https://bugs.gentoo.org/720202 Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'dev-ruby/rmagick')
-rw-r--r--dev-ruby/rmagick/rmagick-3.2.0.ebuild4
-rw-r--r--dev-ruby/rmagick/rmagick-4.1.2.ebuild2
2 files changed, 3 insertions, 3 deletions
diff --git a/dev-ruby/rmagick/rmagick-3.2.0.ebuild b/dev-ruby/rmagick/rmagick-3.2.0.ebuild
index 7773ea1b09e..1a4c35d736d 100644
--- a/dev-ruby/rmagick/rmagick-3.2.0.ebuild
+++ b/dev-ruby/rmagick/rmagick-3.2.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -19,7 +19,7 @@ KEYWORDS="~amd64 ~hppa ppc ppc64 ~x86 ~x86-macos"
IUSE="doc"
RDEPEND+=" >=media-gfx/imagemagick-6.9.0:= =media-gfx/imagemagick-6*"
-DEPEND+=" >=media-gfx/imagemagick-6.9.0:=[jpeg] =media-gfx/imagemagick-6*"
+DEPEND+=" test? ( >=media-gfx/imagemagick-6.9.0:=[jpeg,webp] =media-gfx/imagemagick-6* )"
ruby_add_bdepend "test? ( dev-ruby/rspec:3 )"
diff --git a/dev-ruby/rmagick/rmagick-4.1.2.ebuild b/dev-ruby/rmagick/rmagick-4.1.2.ebuild
index 60b8e1d9509..476f721de9c 100644
--- a/dev-ruby/rmagick/rmagick-4.1.2.ebuild
+++ b/dev-ruby/rmagick/rmagick-4.1.2.ebuild
@@ -27,7 +27,7 @@ KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~x86-macos"
IUSE="doc"
RDEPEND+=" >=media-gfx/imagemagick-6.9.0:="
-DEPEND+=" >=media-gfx/imagemagick-6.9.0:=[jpeg]"
+DEPEND+=" test? ( >=media-gfx/imagemagick-6.9.0:=[jpeg,webp] )"
all_ruby_prepare() {
# Avoid unused dependency on rake-compiler. This also avoids an